<?php
function DateToIndo($date) { // fungsi atau method untuk mengubah tanggal ke format indonesia
   	
		$tahun = substr($date, 0, 4); // memisahkan format tahun menggunakan substring
		$bulan = substr($date, 5, 2); // memisahkan format bulan menggunakan substring
		$tgl   = substr($date, 8, 2); // memisahkan format tanggal menggunakan substring
		//$jam = substr($date, 11, 2); // memisahkan format tahun menggunakan substring
		//$menit = substr($date, 14, 2); // memisahkan format bulan menggunakan substring
		//$detik   = substr($date, 17, 2); // memisahkan format tanggal menggunakan substring
		
		$result = $tgl . "-" . $bulan . "-". $tahun;
		return($result);
}

function tampildate($datet) { // fungsi atau method untuk mengubah tanggal ke format indonesia
   	
		$tahunt = substr($datet, 0, 4); // memisahkan format tahun menggunakan substring
		$bulant = substr($datet, 5, 2); // memisahkan format bulan menggunakan substring
		$tglt   = substr($datet, 8, 2); // memisahkan format tanggal menggunakan substring
		$jamt = substr($datet, 11, 2); // memisahkan format tahun menggunakan substring
		$menitt = substr($datet, 14, 2); // memisahkan format bulan menggunakan substring
		$detikt   = substr($datet, 17, 2); // memisahkan format tanggal menggunakan substring
		
		$result = $tglt . "-" . $bulant . "-". $tahunt . " " . $jamt . ":". $menitt .":" . $detikt;
		return($result);
}
function IndoToDate($datei) { // fungsi atau method untuk mengubah tanggal ke format indonesia
   	
		$tgli = substr($datei, 0, 2); // memisahkan format tahun menggunakan substring
		$bulani = substr($datei, 3, 2); // memisahkan format bulan menggunakan substring
		$tahuni = substr($datei, 6, 4); // memisahkan format tanggal menggunakan substring
		
		$resulti = $tahuni . "-" . $bulani . "-". $tgli;
		return($resulti);
}
?>